package com.study.entity;

import java.io.Serializable;

/**
 * @author CSDN 流放深圳
 * @description 证书模型，与管理后台的对应
 * @create 2024-04-13 15:55
 * @since 1.0.0
 */
public class LicenceEntity implements Serializable {

    private static final long serialVersionUID = -4048081970386334457L;

    /**
     * 证书 ID
     */
    private String licenceId;

    /**
     * 证书名称
     */
    private String licenceName;

    /**
     * 客户端机器的网卡物理地址
     */
    private String mac;

    /**
     * 秘钥（指的是公钥）
     */
    private String key;

    /**
     * 证书生效开始日期，格式：yyyy-MM-dd
     */
    private String effectStartDate;

    /**
     * 证书生效结束日期，格式：yyyy-MM-dd
     */
    private String effectEndDate;

    /**
     * 颁发证书联系人
     */
    private String contactName;

    /**
     * 颁发证书人的联系方式
     */
    private String contactWay;

    /**
     * 证书所有者
     */
    private String owner;

    /**
     * 加密的内容。这个字段是将其它字段加密后的完整内容
     */
    private String content;


    /***************************************  以下内容为 get、set 函数  *******************************************/
    public String getLicenceId() {
        return licenceId;
    }

    public void setLicenceId(String licenceId) {
        this.licenceId = licenceId;
    }

    public String getLicenceName() {
        return licenceName;
    }

    public void setLicenceName(String licenceName) {
        this.licenceName = licenceName;
    }

    public String getMac() {
        return mac;
    }

    public void setMac(String mac) {
        this.mac = mac;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getEffectStartDate() {
        return effectStartDate;
    }

    public void setEffectStartDate(String effectStartDate) {
        this.effectStartDate = effectStartDate;
    }

    public String getEffectEndDate() {
        return effectEndDate;
    }

    public void setEffectEndDate(String effectEndDate) {
        this.effectEndDate = effectEndDate;
    }

    public String getContactName() {
        return contactName;
    }

    public void setContactName(String contactName) {
        this.contactName = contactName;
    }

    public String getContactWay() {
        return contactWay;
    }

    public void setContactWay(String contactWay) {
        this.contactWay = contactWay;
    }

    public String getOwner() {
        return owner;
    }

    public void setOwner(String owner) {
        this.owner = owner;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }
}